import { __decorate } from "tslib";
// import { LitElement, html, css } from 'lit';
// import { property, customElement } from 'lit/decorators';
import { LitElement, css, property, html } from "lit-element";
export class TesttingLib extends LitElement {
    constructor() {
        super(...arguments);
        this.title = 'Hey there';
        this.counter = 5;
    }
    __increment() {
        this.counter += 1;
    }
    render() {
        return html `
      <h2>${this.title} Nr. ${this.counter}!</h2>
      <button @click=${this.__increment}>increment</button>
    `;
    }
}
TesttingLib.styles = css `
    :host {
      display: block;
      padding: 25px;
      color: var(--testting-lib-text-color, #000);
    }
  `;
__decorate([
    property({ type: String })
], TesttingLib.prototype, "title", void 0);
__decorate([
    property({ type: Number })
], TesttingLib.prototype, "counter", void 0);
//# sourceMappingURL=TesttingLib.js.map