import { __decorate } from "tslib";
import { LitElement, html } from 'lit';
import { customElement, property } from 'lit/decorators.js';
let TesttingLib = class TesttingLib extends LitElement {
    constructor() {
        super(...arguments);
        this.title = 'Hey there';
        this.counter = 5;
    }
    __increment() {
        this.counter += 1;
    }
    render() {
        return html `
      <h2>${this.title} Nr. ${this.counter}!</h2>
      <button @click=${this.__increment}>increment</button>
    `;
    }
};
__decorate([
    property({ type: String })
], TesttingLib.prototype, "title", void 0);
__decorate([
    property({ type: Number })
], TesttingLib.prototype, "counter", void 0);
TesttingLib = __decorate([
    customElement('testting-lib')
], TesttingLib);
export default TesttingLib;
//# sourceMappingURL=TesttingLib.js.map