import { html, fixture, expect } from '@open-wc/testing';
import MySecondComponent from '../src/SecondComponent/SecondComponet.js';
import '../index.js';

describe('TesttingLib', () => {
  it('has a default title "Hey there"', async () => {
    const el = await fixture<MySecondComponent>(
      html`<second-component></second-component>`
    );

    expect(el.title).to.equal('Hey there');
  });

  it('has a custom title "Cucu"', async () => {
    const el = await fixture<MySecondComponent>(
      html`<second-component></second-component>`
    );

    el.setAttribute('title', 'Cucu');
    expect(el.title).to.equal('Cucu');
  });
});
